Description

Hi everyone,  I would like to point out that the conversion from shapefile to raster is not possible, with no tools. I tried all the tools of

potential conversion from polygon to raster, but they don't work, so much so that I had to use another gis!

History

#1 - 2019-04-24 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please be specific: what tools have you tried (the actual names)? what are the error messages? Can you attach a sample of the data you are trying to

convert? Thanks.

#2 - 2019-04-24 04:53 PM - salvatore nieddu

1) tools used (the actual names): The command used is "rasterize" (raster menu, conversion).

2) What are the error messages? I correct myself: it does not allow to convert from shapefile to raster (raster polygons) data with a high geometric

resolution (1x1). If I use a 10x10 resolution, the data is produced but not needed.

#3 - 2019-04-24 04:56 PM - Giovanni Manghi

salvatore nieddu wrote:

1) tools used (the actual names): The command used is "rasterize" (raster menu, conversion).

2) What are the error messages? I correct myself: it does not allow to convert from shapefile to raster (raster polygons) data with a high geometric

resolution (1x1). If I use a 10x10 resolution, the data is produced but not needed.

the tool you are trying to use (note: there are others, for example the GRASS or SAGA ones) is actually just a GUI of command line tool from GDAL. You

should try to use this tool from the command line https://gdal.org/gdal_rasterize.html :if it works is a QGIS issue, if does not is not a QGIS issue.

#4 - 2019-05-22 03:35 PM - Alexander Bruy

- Operating System deleted (windows 7)

Just tested GDAL's rasterize tool via Processing and everything works fine.
https://gdal.org/gdal_rasterize.html


Please provide test data and exact steps to reproduce issue.
